package com.sifang.modules.youkua.entity;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "nh_device")
public class NhDevice implements Serializable {

    @Id
    private String id;
    private String stationId;
    private String innerStationId;
    private String innerDeviceId;
    private String outStationId;
    private String outDeviceId;
    private String brand;
    private Integer type;
    private String name;
    private String mods;
    private String sn;
    private String barCode;
    private Integer warrantyFlag;
    private Date warrantyExpires;
    private String faultCode;
    private Integer status;
    private Integer isDeleted;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    public String getInnerStationId() {
        return innerStationId;
    }

    public void setInnerStationId(String innerStationId) {
        this.innerStationId = innerStationId;
    }

    public String getInnerDeviceId() {
        return innerDeviceId;
    }

    public void setInnerDeviceId(String innerDeviceId) {
        this.innerDeviceId = innerDeviceId;
    }

    public String getOutStationId() {
        return outStationId;
    }

    public void setOutStationId(String outStationId) {
        this.outStationId = outStationId;
    }

    public String getOutDeviceId() {
        return outDeviceId;
    }

    public void setOutDeviceId(String outDeviceId) {
        this.outDeviceId = outDeviceId;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMods() {
        return mods;
    }

    public void setMods(String mods) {
        this.mods = mods;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getBarCode() {
        return barCode;
    }

    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    public Integer getWarrantyFlag() {
        return warrantyFlag;
    }

    public void setWarrantyFlag(Integer warrantyFlag) {
        this.warrantyFlag = warrantyFlag;
    }

    public String getFaultCode() {
        return faultCode;
    }

    public void setFaultCode(String faultCode) {
        this.faultCode = faultCode;
    }

    public Date getWarrantyExpires() {
        return warrantyExpires;
    }

    public void setWarrantyExpires(Date warrantyExpires) {
        this.warrantyExpires = warrantyExpires;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }
}
